#include <stdio.h>
#include "defines.h"
#include "aig.h"

int cfex_cp(int cfex,int argc,unchar *argv[],unchar *fname)
/* ファイルチェック：指定以外 */
{
int i,c;
unchar wild[MAXPATH],sdir[MAXPATH];
	for (i=cfex+1;i<argc;i++) { /* 以外指定ありの時 */
		c=argv[i][0];
		if (c=='-'||c=='/') continue; /* パラメーターは飛ばす */
		
		/* ファイル名は大文字小文字区別がないから */
		strcpy(wild,argv[i]);
		jstrupr(wild);
		strcpy(sdir,fname);
		jstrupr(sdir);
		
		/* 以外一致の時は飛ばす */
		if (jcpwild(wild,sdir)) return(1); /* skip */
	}
	/* ok */
	return(0);
}
